Subject: Re: [MMUSIC] RTSP & NAT discussion on wednesday and thursday.

From: [email-masked]
Date: Tue, 15 Jul 2003 11:17:07 +0200

Magnus,

I totally agree with Jonathan,

if we leave the door open to several solutions
you can be sure each of them will be implemented
(because when you have a hammer all the problems are nails;-)
and we will create even more trouble than we already have,
plus a lot of burden on implementers and IOT

plus the risk that we actually produce a mess that will simply not work,
e.g. the problem is that some solutions are aggresive to others
for example an ALG kills STUN, as simple as that
(I have seen that happen recently;-(

So I would really hope we would decide to choose ONE solution,
even if takes longer and creates a few more unhappy people.

regards,

Philippe Gentric
Software Architect
Philips MP4Net
[email-masked]
http://www.platform4.philips.com

                                                                                                                                           
                                                       To:   Jonathan Rosenberg <[email-masked]>                                  
                                                       cc:   Tom Marshall <[email-masked]>                                             
                                                        [email-masked]                                                                    
                                                        (bcc: Philippe Gentric/MP4-SUR/CE/PHILIPS)                                         
               Magnus Westerlund                       Subject:    Re: [MMUSIC] RTSP & NAT discussion on wednesday and thursday.           
               <magnus.westerlund@ericsson.                                                                                                
               com>                                    Classification:                                                                     
                                                                                                                                           
               Sent by:                                                                                                                    
               [email-masked]                                                                                                       
                                                                                                                                           
               15/07/2003 10:00                                                                                                            

Hi Tom and Jonathan,

My goal is in regards to the symmetric NAT solution which requires
server modifications to only have one solution. However when it comes to
solution that can be implemented at the client side without server
modifications or simply servers running the updated RTSP they will all
be documented.

Best Regards

Magnus

Jonathan Rosenberg wrote:

>
>
> Tom Marshall wrote:
>
>>  > So please consider if you have any further requirements that
>> should be
>>  > consider for this work. We should in the next weeks have some
>> consensus
>>  > on what work we should perform regarding the solution for
>> symmetric NATs
>>  > and RTSP. The result of this discussion will be used to decide on
>> what
>>  > solution to select.
>>
>> Perhaps I misread this, but it sounds like you are saying that we should
>> agree on one traversal solution.  I thought the RTSP NAT document was
>> intended (and does) present the various NAT traversal solutions along
>> with
>> their strengths and weaknesses, and let the implemetors decide which
>> to use?
>
>
> You need to be really careful with approaches like that. The problem
> is interoperability. Unless you agree on a mandatory to implement
> mechanism, you will have problems. Furthermore, it makes it hard to
> use the same client in deployments where one solution vs. another
> would be the optimal one. We have suffered alot on both these points
> in sip, where sip clients work in specific cases dependenting on which
> nat solution they have used. It has been a real barrier to deployment.
>
> -Jonathan R.
>

_______________________________________________
mmusic mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mmusic

_______________________________________________
mmusic mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mmusic